%define		pkg	read
Summary:	read(1) for node programs
Name:		nodejs-%{pkg}
Version:	1.0.4
Release:	2
License:	MIT
Group:		Development/Libraries
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	b88c8ee1c1785e89461733a020e0c07a
URL:		https://github.com/isaacs/read
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Requires:	nodejs-mute-stream >= 0.0.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
read(1) for node programs.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -pr lib package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/%{pkg}
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue May 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-read.git;a=log;h=master

* Tue May 28 2013 Elan Ruusamäe <glen@delfi.ee> 1ba104d
- requires mute-stream ~0.0.2

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> 3204cf7
- Up to 1.0.4

* Wed Jan 25 2012 Elan Ruusamäe <glen@pld-linux.org> 2a301e6
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo

